<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Mini51 BSP: StdDriver/src/wdt.c Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="M0Banner_v2.jpg"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Mini51 BSP
   &#160;<span id="projectnumber">V3.02.002</span>
   </div>
   <div id="projectbrief">The Board Support Package for Mini51 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',false,false,'search.php','Search');
});
/* @license-end */</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_0d398eaf8b2db165a9197a6619ec9f0e.html">StdDriver</a></li><li class="navelem"><a class="el" href="dir_3abedc03644d33bc69016fb8a5546004.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">wdt.c</div>  </div>
</div><!--header-->
<div class="contents">
<a href="wdt_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/**************************************************************************/</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_mini51_series_8h.html">Mini51Series.h</a>&quot;</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;</div><div class="line"><a name="l00043"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae150a7a3e9d1e05a12fc6fd81af68a04">   43</a></span>&#160;<span class="keywordtype">void</span>  <a class="code" href="group___m_i_n_i51___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae150a7a3e9d1e05a12fc6fd81af68a04">WDT_Open</a>(uint32_t u32TimeoutInterval,</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;               uint32_t u32ResetDelay,</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;               uint32_t u32EnableReset,</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;               uint32_t u32EnableWakeup)</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;{</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;    <a class="code" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga9646f603341e1ee220bf5d9948f05cb0">WDT</a>-&gt;WTCR = u32TimeoutInterval | <a class="code" href="_mini51_series_8h.html#a1db43278faa6407d62b87b008a5dc943">WDT_WTCR_WTE_Msk</a> |</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;                (u32EnableReset &lt;&lt; <a class="code" href="_mini51_series_8h.html#a400cd5218dadbc9ae70c27933781dd19">WDT_WTCR_WTRE_Pos</a>) |</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;                (u32EnableWakeup &lt;&lt; <a class="code" href="_mini51_series_8h.html#aa72993c1620c51e4f61b172d70dc687a">WDT_WTCR_WTWKE_Pos</a>);</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;    <span class="keywordflow">return</span>;</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;}</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;</div><div class="line"><a name="l00060"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga4c5ba21aaa03db0d9c037156cf98a6ae">   60</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="group___m_i_n_i51___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga4c5ba21aaa03db0d9c037156cf98a6ae">WDT_Close</a>(<span class="keywordtype">void</span>)</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;{</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;    <a class="code" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga9646f603341e1ee220bf5d9948f05cb0">WDT</a>-&gt;WTCR = 0;</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;    <span class="keywordflow">return</span>;</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;}</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;</div><div class="line"><a name="l00071"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad4e5a59a764a06c56110d1ef3aefb81d">   71</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="group___m_i_n_i51___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad4e5a59a764a06c56110d1ef3aefb81d">WDT_EnableInt</a>(<span class="keywordtype">void</span>)</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;{</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;    <a class="code" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga9646f603341e1ee220bf5d9948f05cb0">WDT</a>-&gt;WTCR = (<a class="code" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga9646f603341e1ee220bf5d9948f05cb0">WDT</a>-&gt;WTCR &amp; ~(<a class="code" href="_mini51_series_8h.html#a35abce4d17778188a108c97a75719932">WDT_WTCR_WTIF_Msk</a> | <a class="code" href="_mini51_series_8h.html#adbc03498be1b7f3e3bcb966d3585800b">WDT_WTCR_WTWKF_Msk</a> | <a class="code" href="_mini51_series_8h.html#a69e6d3ac904a809c9d5715073d6daa2d">WDT_WTCR_WTRF_Msk</a>)) | <a class="code" href="_mini51_series_8h.html#a0036b8c3c1dbe9e4a09399c833039f25">WDT_WTCR_WTIE_Msk</a>;</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;    <span class="keywordflow">return</span>;</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;}</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;</div><div class="line"><a name="l00082"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga5161f1a4e918d0e3491eb63ea7bf2aef">   82</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="group___m_i_n_i51___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga5161f1a4e918d0e3491eb63ea7bf2aef">WDT_DisableInt</a>(<span class="keywordtype">void</span>)</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;{</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;    <a class="code" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga9646f603341e1ee220bf5d9948f05cb0">WDT</a>-&gt;WTCR &amp;= ~(<a class="code" href="_mini51_series_8h.html#a35abce4d17778188a108c97a75719932">WDT_WTCR_WTIF_Msk</a> | <a class="code" href="_mini51_series_8h.html#adbc03498be1b7f3e3bcb966d3585800b">WDT_WTCR_WTWKF_Msk</a> | <a class="code" href="_mini51_series_8h.html#a69e6d3ac904a809c9d5715073d6daa2d">WDT_WTCR_WTRF_Msk</a> | <a class="code" href="_mini51_series_8h.html#a0036b8c3c1dbe9e4a09399c833039f25">WDT_WTCR_WTIE_Msk</a>);</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;    <span class="keywordflow">return</span>;</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;}</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160; <span class="comment">/* end of group MINI51_WDT_EXPORTED_FUNCTIONS */</span></div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160; <span class="comment">/* end of group MINI51_WDT_Driver */</span></div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160; <span class="comment">/* end of group MINI51_Device_Driver */</span></div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;</div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;<span class="comment">/*** (C) COPYRIGHT 2013 Nuvoton Technology Corp. ***/</span></div><div class="ttc" id="_mini51_series_8h_html_a69e6d3ac904a809c9d5715073d6daa2d"><div class="ttname"><a href="_mini51_series_8h.html#a69e6d3ac904a809c9d5715073d6daa2d">WDT_WTCR_WTRF_Msk</a></div><div class="ttdeci">#define WDT_WTCR_WTRF_Msk</div><div class="ttdef"><b>Definition:</b> <a href="_mini51_series_8h_source.html#l09844">Mini51Series.h:9844</a></div></div>
<div class="ttc" id="_mini51_series_8h_html_aa72993c1620c51e4f61b172d70dc687a"><div class="ttname"><a href="_mini51_series_8h.html#aa72993c1620c51e4f61b172d70dc687a">WDT_WTCR_WTWKE_Pos</a></div><div class="ttdeci">#define WDT_WTCR_WTWKE_Pos</div><div class="ttdef"><b>Definition:</b> <a href="_mini51_series_8h_source.html#l09849">Mini51Series.h:9849</a></div></div>
<div class="ttc" id="_mini51_series_8h_html"><div class="ttname"><a href="_mini51_series_8h.html">Mini51Series.h</a></div><div class="ttdoc">Mini51 series peripheral access layer header file. This file contains all the peripheral register's d...</div></div>
<div class="ttc" id="group___m_i_n_i51___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gae150a7a3e9d1e05a12fc6fd81af68a04"><div class="ttname"><a href="group___m_i_n_i51___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae150a7a3e9d1e05a12fc6fd81af68a04">WDT_Open</a></div><div class="ttdeci">void WDT_Open(uint32_t u32TimeoutInterval, uint32_t u32ResetDelay, uint32_t u32EnableReset, uint32_t u32EnableWakeup)</div><div class="ttdoc">This function make WDT module start counting with different time-out interval.</div><div class="ttdef"><b>Definition:</b> <a href="wdt_8c_source.html#l00043">wdt.c:43</a></div></div>
<div class="ttc" id="_mini51_series_8h_html_a0036b8c3c1dbe9e4a09399c833039f25"><div class="ttname"><a href="_mini51_series_8h.html#a0036b8c3c1dbe9e4a09399c833039f25">WDT_WTCR_WTIE_Msk</a></div><div class="ttdeci">#define WDT_WTCR_WTIE_Msk</div><div class="ttdef"><b>Definition:</b> <a href="_mini51_series_8h_source.html#l09856">Mini51Series.h:9856</a></div></div>
<div class="ttc" id="_mini51_series_8h_html_a35abce4d17778188a108c97a75719932"><div class="ttname"><a href="_mini51_series_8h.html#a35abce4d17778188a108c97a75719932">WDT_WTCR_WTIF_Msk</a></div><div class="ttdeci">#define WDT_WTCR_WTIF_Msk</div><div class="ttdef"><b>Definition:</b> <a href="_mini51_series_8h_source.html#l09847">Mini51Series.h:9847</a></div></div>
<div class="ttc" id="_mini51_series_8h_html_a400cd5218dadbc9ae70c27933781dd19"><div class="ttname"><a href="_mini51_series_8h.html#a400cd5218dadbc9ae70c27933781dd19">WDT_WTCR_WTRE_Pos</a></div><div class="ttdeci">#define WDT_WTCR_WTRE_Pos</div><div class="ttdef"><b>Definition:</b> <a href="_mini51_series_8h_source.html#l09840">Mini51Series.h:9840</a></div></div>
<div class="ttc" id="group___m_i_n_i51___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga4c5ba21aaa03db0d9c037156cf98a6ae"><div class="ttname"><a href="group___m_i_n_i51___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga4c5ba21aaa03db0d9c037156cf98a6ae">WDT_Close</a></div><div class="ttdeci">void WDT_Close(void)</div><div class="ttdoc">This function stops WDT counting and disable WDT module.</div><div class="ttdef"><b>Definition:</b> <a href="wdt_8c_source.html#l00060">wdt.c:60</a></div></div>
<div class="ttc" id="group___m_i_n_i51___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga5161f1a4e918d0e3491eb63ea7bf2aef"><div class="ttname"><a href="group___m_i_n_i51___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga5161f1a4e918d0e3491eb63ea7bf2aef">WDT_DisableInt</a></div><div class="ttdeci">void WDT_DisableInt(void)</div><div class="ttdoc">This function disables the WDT time-out interrupt.</div><div class="ttdef"><b>Definition:</b> <a href="wdt_8c_source.html#l00082">wdt.c:82</a></div></div>
<div class="ttc" id="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n_html_ga9646f603341e1ee220bf5d9948f05cb0"><div class="ttname"><a href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga9646f603341e1ee220bf5d9948f05cb0">WDT</a></div><div class="ttdeci">#define WDT</div><div class="ttdoc">Pointer to WDT register structure.</div><div class="ttdef"><b>Definition:</b> <a href="_mini51_series_8h_source.html#l09923">Mini51Series.h:9923</a></div></div>
<div class="ttc" id="group___m_i_n_i51___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gad4e5a59a764a06c56110d1ef3aefb81d"><div class="ttname"><a href="group___m_i_n_i51___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad4e5a59a764a06c56110d1ef3aefb81d">WDT_EnableInt</a></div><div class="ttdeci">void WDT_EnableInt(void)</div><div class="ttdoc">This function enables the WDT time-out interrupt.</div><div class="ttdef"><b>Definition:</b> <a href="wdt_8c_source.html#l00071">wdt.c:71</a></div></div>
<div class="ttc" id="_mini51_series_8h_html_a1db43278faa6407d62b87b008a5dc943"><div class="ttname"><a href="_mini51_series_8h.html#a1db43278faa6407d62b87b008a5dc943">WDT_WTCR_WTE_Msk</a></div><div class="ttdeci">#define WDT_WTCR_WTE_Msk</div><div class="ttdef"><b>Definition:</b> <a href="_mini51_series_8h_source.html#l09859">Mini51Series.h:9859</a></div></div>
<div class="ttc" id="_mini51_series_8h_html_adbc03498be1b7f3e3bcb966d3585800b"><div class="ttname"><a href="_mini51_series_8h.html#adbc03498be1b7f3e3bcb966d3585800b">WDT_WTCR_WTWKF_Msk</a></div><div class="ttdeci">#define WDT_WTCR_WTWKF_Msk</div><div class="ttdef"><b>Definition:</b> <a href="_mini51_series_8h_source.html#l09853">Mini51Series.h:9853</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Mon Oct 5 2020 14:31:43 for Mini51 BSP by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
